Summary: A text-based Web browser.
Name: lynx-ssl
Version: 2.8.2
Release: 2
Copyright: GPL
Group: Applications/Internet
Source0: ftp://www.slcc.edu/pub/lynx/current/lynx2.8.2rel.1.tar.gz
Source1: lynx.wmconfig
Patch0: lynx2-8-1-redhat.patch
Patch3: lynx-ssl.patch

Requires: indexhtml
Provides: webclient
Obsoletes: lynx

%define VER 2-8-2
Buildroot: /var/tmp/lynx-root

%description
Lynx-SSL is a text-based Web browser. Lynx-SSL does not display any images,
but it does support frames, tables and most other HTML tags. Lynx-SSL's
advantage over graphical browsers is its speed: Lynx-SSL starts and exits
quickly and swiftly displays Web pages.

Install lynx-ssl if you would like to try this fast, non-graphical browser
(you may come to appreciate its strengths).

%prep
%setup -n lynx%{VER}
%patch0 -p1 -b .redhat
%patch3 -p1 -b .ssl

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --libdir=/etc \
	--with-screen=slang --enable-warnings \
	--enable-default-colors --enable-externs \
	--enable-internal-links --enable-nsl-fork \
	--enable-persistent-cookies --with-zlib 
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m644 $RPM_SOURCE_DIR/lynx.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/lynx
strip $RPM_BUILD_ROOT/usr/bin/lynx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help
%config(missingok) /etc/X11/wmconfig/lynx
/usr/bin/lynx
/usr/man/man1/lynx.1
%config /etc/lynx.cfg

%changelog
* Mon Jun 6 1999 Alan Cox <alan@lxorguk.ukuu.org.uk>
- Merged SSL patch from the SSL site.

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- apply some update patches from the lynx folks
- set user's TEMP dir to their home dir to avoid /tmp races

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Mon Nov 30 1998 Bill Nottingham <notting@redhat.com>
- create cookie file 0600

* Fri Nov  6 1998 Bill Nottingham <notting@redhat.com>
- update to 2.8.1rel2

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- 2.8.1pre9
- strip binaries

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to lynx2.8.1pre.7.tar.gz

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8rel3
- fixed mailto: buffer overflow (used Alan's patch)

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8
- added buildroot

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- updated to 2.7.2
- enabled lynxcgi

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.6 to 2.7.1
- moved /usr/lib/lynx.cfg to /etc/lynx.cfg
- build with slang instead of ncurses
- made default startup file be file:/usr/doc/HTML/index.html

